### Constructor

# Clutter BindingPool new

#### Declaration [src]

    ClutterBindingPool*
    clutter_binding_pool_new (
      const gchar* name
    )

#### Description [src]

Creates a new `ClutterBindingPool` that can be used to store key bindings for an actor. The `name` must be a unique identifier for the binding pool, so that `clutter_binding_pool_find()` will be able to return the correct binding pool.

#### Parameters

`name`

  Type: `const gchar*`

  The name of the binding pool.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `ClutterBindingPool`

The newly created binding pool with the given name. Use `g_object_unref()` when done.

The caller of the function takes ownership of the data, and is responsible for freeing it.